Subject: Re: [RFC PATCH net-next v2 01/10] net: phy: Introduce ethernet link topology representation

From: Maxime Chevallier <[email-masked]>
Date: Thu, 23 Nov 2023 14:44:41 +0100

On Tue, 21 Nov 2023 01:24:47 +0100
Andrew Lunn <[email-masked]> wrote:

[...]
> 
> > diff --git a/include/linux/link_topology.h b/include/linux/link_topology.h  
> 
> I think this filename is too generic. Maybe phy_link_topology.h, or
> move it into include/net.

Yeah naming again, phy_link_topology would make sense indeed. I know
that Florian suggested phy_devices_list last time, However I'd like
this to be more than just about PHYs, to keep track of ports, mii-muxes
and such. So, phy_link_topology sounds good to me :)

Maxime